eric ide

Issue263

Classification
Title: Makefile support
Type: feature request Product: eric6
Process
Priority: high    
Status: closed Resolution: fixed
Superseder: Nosy List: KmolYuan, detlev
Assigned to: detlev Keywords:

Created on 2018-03-31.08:28:58 by KmolYuan, last changed by detlev.

Messages (4.0)
msg989 (view) Author: detlev Date: 2018-04-19.17:38:28
This function will be available as of eric6 18.05 (rev. 36854b779685).
msg984 (view) Author: KmolYuan Date: 2018-04-12.06:45:45
Some suggest of Makefile support functions:

+ User can setting where the make command located at, if there is no path 
set then try to calling global "make" command.

+ A "main makefile" can be added with project properties just like "main 
script".

+ When starting "run project" action, a check box can let user to choose 
should re-make the project or not.

+ Make command can be pass arguments like "-C path/to/makefile", "build-
xxx", etc.
msg980 (view) Author: detlev Date: 2018-03-31.09:35:27
Please give more details about your idea (e.g. how should it be integrated, which 
arguments should be supported or how entering arguments should be performed, 
should the data/arguments be stored within the project file).
msg979 (view) Author: KmolYuan Date: 2018-03-31.08:28:58
Hallo, I have some Makefile processes for my Python script, such like C++ or
Cython libraries.

I hope Eric can let a main Makefile along with project, add a 'build' button to
run it with arguments.
History
Date User Action Args
2018-04-19 17:38:28detlevsetstatus: open -> closed
resolution: fixed
messages: + msg989
message_count: 3.0 -> 4.0
2018-04-12 06:45:45KmolYuansetmessage_count: 2.0 -> 3.0
messages: + msg984
2018-03-31 09:35:27detlevsetstatus: new -> open
assignedto: detlev
messages: + msg980
message_count: 1.0 -> 2.0
nosy: + detlev
2018-03-31 08:31:07KmolYuansetpriority: normal -> high
2018-03-31 08:28:58KmolYuancreate